Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMeshAgent

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IMeshAgent

All Implemented Interfaces:
  IDynamics, ISubobject

    public class IMeshAgent

extends IAgent

Agent to iterate mesh faces.

Author:
  Satoru Sugihara

Field Summary
`(package private) IPoint` | `centerPt`
`IFace` | `curFace`
`IFace` | `prevFace`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IMeshAgent(IFace f)`

Method Summary
`IFace` | `nextFace()`
`void` | `update()` behavior definition of updating dynamics in each time frame

Methods inherited from class igeo.IAgent
`addDynamics, alive, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, hide, hsb, hsb, hsb, hsb, initAgent, interact, interact, layer, localDynamics, name, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, target, target, targetNum, targets, time, time, updateGraphic, updateTarget, weight, weight`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, clr, cp, createGraphic, deleteGraphic, dup, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, syncGraphic, syncWeight, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### curFace

    public IFace curFace

### prevFace

    public IFace prevFace

### centerPt

    IPoint centerPt

Constructor Detail

### IMeshAgent

    public IMeshAgent(IFace f)

Method Detail

### nextFace

    public IFace nextFace()

### update

    public void update()

  Description copied from interface: `IDynamics`
  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD